#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	25.04.0
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		lskat
Summary:	lskat
Name:		ka6-%{kaname}
Version:	25.04.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications/Games
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	6f40fb061d94b92636e9f04aaea7b021
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Gui-devel
BuildRequires:	Qt6Qml-devel >= 5.11.1
BuildRequires:	Qt6Quick-devel >= 5.11.1
BuildRequires:	Qt6Svg-devel
BuildRequires:	Qt6Widgets-devel
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-devel
BuildRequires:	ka6-libkdegames-devel >= %{kdeappsver}
BuildRequires:	kf6-extra-cmake-modules >= %{kframever}
BuildRequires:	kf6-kconfig-devel >= %{kframever}
BuildRequires:	kf6-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf6-kcrash-devel >= %{kframever}
BuildRequires:	kf6-kdoctools-devel >= %{kframever}
BuildRequires:	kf6-kguiaddons-devel >= %{kframever}
BuildRequires:	kf6-ki18n-devel >= %{kframever}
BuildRequires:	kf6-kwidgetsaddons-devel >= %{kframever}
BuildRequires:	kf6-kxmlgui-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Obsoletes:	ka5-%{kaname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lieutnant Skat (from German "Offiziersskat") is a fun and engaging
card game for two players, where the second player is either live
opponent, or a built in artificial intelligence.

%description -l pl.UTF-8
Lieutnant Skat (z niemieckiego "Offiziersskat") jest zabawną i
wciągającą grą karcianą dla dwóch graczy, gdzie drugi gracz może być
albo żywym rywalem, albo opartym na sztucznej inteligencji.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post

%postun
%update_desktop_database_postun

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/lskat
%{_desktopdir}/org.kde.lskat.desktop
%{_iconsdir}/hicolor/*x*/apps/lskat.png
%{_datadir}/lskat
%{_datadir}/metainfo/org.kde.lskat.appdata.xml
%{_datadir}/qlogging-categories6/lskat.categories
%{_datadir}/qlogging-categories6/lskat.renamecategories
%changelog
* Wed Apr 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-lskat.git;a=log;h=master

* Thu Apr 24 2025 Witold Filipczyk <witekfl@poczta.onet.pl> e1870e7
- update_desktop_database

* Thu Apr 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> c26d360
- updated to 25.04.0

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> c93c09f
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 3f21dc8
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 1680d8c
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3feb6fe
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> dcdbbe1
- updated to 24.08.3

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e53a282
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f312730
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a8510c8
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f08a07f
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 21109e3
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c92c2f5
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bf5e736
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bb7e52a
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c5ff48f
- updated to 24.02.0

